Channels

List connected publishers in a project

GET
/api/projects/{projectId}/publishers

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
connections*array<>
oauthReadiness*
Example Request
curl -X GET 'https://postbot.example/api/projects/string/publishers'
Example Response
{
  "connections": [
    {
      "id": "string",
      "projectId": "string",
      "publisherId": "string",
      "channelId": "string",
      "kind": "string",
      "credentialId": "string",
      "endpointUrl": "string",
      "destination": {
        "type": "account",
        "id": "string",
        "name": "string"
      },
      "authentication": {
        "kind": "none"
      },
      "providerId": "string",
      "externalAccountId": "string",
      "externalAccountName": "string",
      "scopes": [
        "string"
      ],
      "state": "active",
      "connectedByActorId": "string",
      "createdAt": 0,
      "updatedAt": 0
    }
  ],
  "oauthReadiness": {
    "instagram": "ready",
    "facebook": "ready",
    "linkedin": "ready",
    "bluesky": "ready",
    "x": "ready"
  }
}

Was this page helpful?